%global	gem_name	clutter-gdk

Name:		rubygem-%{gem_name}
Version:	3.1.1
Release:	1%{?dist}

Summary:	Ruby binding of GDK specific API of Clutter
License:	LGPLv2+
URL:		http://ruby-gnome2.osdn.jp/

Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
# pull in additional files from the upstream
Source1:	https://raw.githubusercontent.com/ruby-gnome2/ruby-gnome2/master/clutter-gdk/COPYING.LIB
Source2:	https://raw.githubusercontent.com/ruby-gnome2/ruby-gnome2/master/clutter-gdk/README.md

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
# No tests currently
#BuildRequires:	rubygem(clutter)
#BuildRequires:	rubygem(gdk3)
#BuildRequires:	clutter-gtk
Requires:		clutter-gtk

BuildArch:		noarch

%description
Ruby/ClutterGDK is a Ruby binding of GDK specific API of Clutter.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:		noarch

%description	doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
# Add files entry
FREEZE=""
%if 0%{?fedora} >= 26
FREEZE=".freeze"
%endif

for f in \
	%{SOURCE1} \
	%{SOURCE2} \
	%{nil}
do
	cp -p $f .
	g=$(basename $f)
	sed -i %{gem_name}.gemspec \
		-e "\@s\.files@s|\(\"Rakefile\"${FREEZE},\)|\1 \"$g\"${FREEZE}, |"
done

# Allow ruby-gnome2 no less than ones
sed -i -e 's|= 3\.1\.1|>= 3.1.1|' %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -f \
	Rakefile \
	%{nil}
popd

%check
# No check currently

%files
%dir	%{gem_instdir}
# Gem usually places license file below %%gem_instdir
%license	%{gem_instdir}/COPYING.LIB
%doc	%{gem_instdir}/README.md

%{gem_libdir}
%{gem_spec}

%files doc
%doc	%{gem_docdir}

%changelog
* Tue Jan 31 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.1.1-1
- 3.1.1

* Sat Dec 31 2016 Mamoru TASAKA <mtasaka@fedoraprojec.org> - 3.1.0-1
- Initial package
